BEEM - Android XMPP - Feature #253

Deal with strict certificate checking
04/07/2010 08:24 PM - Frédéric Barthéléry

Status: Closed Start date: 04/07/2010
Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 100%
Category: Conception Estimated time: 0.00 hour
Target version: 0.1.7

Description

Strict certificate checking for TLS connections needs better API support. Currently, an exception is thrown when connecting and it's
not possible to handle it gracefully.

This will probably need some heavy patch on smack code for TLS.

see http://www.igniterealtime.org/issues/browse/SMACK-157

Associated revisions

Revision 899:a3141a0d06c5 - 08/22/2011 11:02 PM - Frédéric Barthéléry

Integrate MemorizingTrustManager with Beem.
close #253

Revision 921:a3141a0d06c5 - 08/22/2011 11:02 PM - Frédéric Barthéléry
Integrate MemorizingTrustManager with Beem.

close #253

History

#1 - 05/04/2010 01:20 AM - Frédéric Barthéléry

- Target version set to 0.1.4

#2 - 05/04/2010 01:26 AM - Frédéric Barthéléry
- Status changed from New to Assigned

- Assignee set to Frédéric Barthéléry

#3 - 07/05/2010 09:57 AM - Frédéric Barthéléry

- Target version changed from 0.1.4 to 0.1.5

#4 - 09/13/2010 06:36 PM - Frédéric Barthéléry

Can use this to handle the trust issue
http://github.com/geOrg/MemorizingTrustManager
Good works made by GeOrG from the Yaxim team

#5 - 01/19/2011 06:44 PM - Frédéric Barthéléry
- Priority changed from Low to Normal

- Target version changed from 0.1.5t0 0.1.6

#6 - 03/12/2011 06:35 PM - Frédéric Barthéléry

- Target version changed from 0.1.6 to 0.2

#7 - 08/22/2011 11:16 PM - Frédéric Barthéléry
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset a3141a0d06c5.

#8 - 08/22/2011 11:23 PM - Frédéric Barthéléry

- Target version changed from 0.2to 0.1.7
http://www.igniterealtime.org/issues/browse/SMACK-157
http://github.com/ge0rg/MemorizingTrustManager
http://elyzion.net/projects/beem/repository/11/revisions/a3141a0d06c5

#9 - 10/10/2011 10:54 AM - Frédéric Barthéléry

- Status changed from Resolved to Closed
